<!--    Authors         :   Carlos C. Corrada-Bravo
                            David J. Ortiz-Rivera

        Organization    :   Centro de Desarrollo y Consultoria Computacional
        Project         :   OPASO Material Registry  
        File            :   materials
        Description     :   Display authorized materials -->

<!-- verify session -->
<?php require_once("header.php");?>

<!doctype html>
<html lang="en">
    <!-- encoding/imports/styling -->
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title class="title">Materials</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
        <link rel="stylesheet" href="/style/main.css">
        <link rel="stylesheet" href="/style/materials.css">
    </head>

    <!-- content -->
    <body>
        <div class="material-data-shader hide-material-data">
            <div class="material-data-wrapper">
                <div class="material-data-icon-wrapper">
                    <i class="hide-material-data-icon hide-material-data material-icons">close</i>
                </div>
                <div class="material-name-wrapper">
                    <h5 class="header material-data-header material-name" value="mat_name"></h6>
                </div>
                <div class="material-data">
                </div> 
            </div>
        </div>

        <!-- alerts -->
        <div class="alerts">
            <div class="alert">
                <div class="message-icon-wrapper">
                    <i class="message-icon success-icon material-icons">done</i>
                    <i class="message-icon error-icon failed-icon warning-icon material-icons">close</i>
                </div>
                <p class="alert-status"></p>
                <p class="alert-message"></p>
            </div>
        </div>

        <div class="content">
            <!-- navbar -->
            <?php require_once("navbar.php")?>
            <div class="main">
                <div class="header-wrapper">
                    <h5 class="header">Materials</h5>
                    
                    <!-- processing -->
                    <div class="processing">
                        <p class="processing-text">Fetching materials...</p>
                        <div class="loader"></div>
                    </div>
                </div>

                <div class="main-wrapper">
                    <div class="float-right">
                        <div class="dropdown download">
                            <button class="btn btn-outline-success download-btn" type="button" title="Download" id="dropdown-menu-button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="material-icons download-icon">archived</i></button>
                            <div class="dropdown-menu" aria-labelledby="dropdown-menu-button">
                                <span class="download-option" value="full_report">Full Report</span><br>
                                <span class="download-option" value="full_lab_report">Full Lab Report</span>
                            </div>
                        </div>

                        <div class="search-form-wrapper">
                            <input class="search-form" type="text" placeholder="Search for materials" name="search-form">
                            <button class="clear-btn search-form-submit">
                                <i class="material-icons clear-icon">close</i>
                            </button>
                        </div>
                    </div>

                    <!-- inventory -->
                    <h6 class="header sub-header">Full Inventory</h6>
                    <div class="table-wrapper content-wrapper">
                        <table class="table">
                            <thead class="table-header">
                                <tr>
                                    <th class="sort" value="mat_name" >Material
                                        <i class="sort-icon sort-material fas fa-caret-down"></i>
                                    </th>
                                    <th value="">CAS</th>
                                    <th class="sort" value="total" >Total
                                        <i class="sort-icon sort-alt fas fa-caret-down"></i>
                                    </th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                    <h6 class="header table-total"></h6>
                </div>
            </div>

            <!-- footer -->
            <?php require_once("footer.php")?>
        </div>  

        <!-- scripts -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
        <script type="text/javascript" src="/scripts/main.js"></script>
        <script type="text/javascript" src="/scripts/materials.js"></script>
    </body>
</html>